Package com.macrofocus.common.scale

# Enum Class NumericTransform

java.lang.Object
java.lang.Enum<NumericTransform>
com.macrofocus.common.scale.NumericTransform

All Implemented Interfaces:
  `Transform`, `Serializable`, `Comparable<NumericTransform>`, `Constable`

public enum NumericTransform extends Enum<NumericTransform> implements Transform

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASINH`
  Inverse Hyperbolic Sine transformation
  `ASN`
  Arc-sin square root transformation
  `ATANH`
  Arc-tangent transformation
  `EXP`
  Log transformation
  `EXP10`
  Log transformation
  `EXP1P`
  Log transformation
  `EXP2`
  Log transformation
  `IDENTITY`
  Identity
  `LOG`
  Log transformation
  `LOG10`
  Log transformation
  `LOG1P`
  Log transformation
  `LOG2`
  Log transformation
  `LOGIT`
  Logit
  `PROBIT`
  Probit
  `PSEUDO_LOG`
  Smoothly transition to linear scale around 0
  `PSEUDO_LOG10`
  Smoothly transition to linear scale around 0
  `PSEUDO_LOG2`
  Smoothly transition to linear scale around 0
  `RECIPROCAL`
  `REVERSE`
  Reverse transformation Reversing transformation works by multiplying the input with -1.
  `SQRT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static double`
  `asinh(double a)`
  Compute the inverse hyperbolic sine of a number.
  `UnaryOperator<Double>`
  `getDInverse()`
  `Interval`
  `getDomain()`
  `UnaryOperator<Double>`
  `getDTransform()`
  `UnaryOperator<Double>`
  `getInverse()`
  `String`
  `getShortName()`
  `UnaryOperator<Double>`
  `getTransform()`
  `static NumericTransform`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NumericTransform[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.scale.Transform

  `getMinorBreaks`

- ## Enum Constant Details

  - ### ASN

    public static final NumericTransform ASN
    Arc-sin square root transformation

    This is the variance stabilising transformation for the binomial distribution.

  - ### ATANH

    public static final NumericTransform ATANH
    Arc-tangent transformation

  - ### ASINH

    public static final NumericTransform ASINH
    Inverse Hyperbolic Sine transformation

  - ### EXP

    public static final NumericTransform EXP
    Log transformation

  - ### EXP2

    public static final NumericTransform EXP2
    Log transformation

  - ### EXP10

    public static final NumericTransform EXP10
    Log transformation

  - ### EXP1P

    public static final NumericTransform EXP1P
    Log transformation

  - ### IDENTITY

    public static final NumericTransform IDENTITY
    Identity

  - ### LOG

    public static final NumericTransform LOG
    Log transformation

  - ### LOG2

    public static final NumericTransform LOG2
    Log transformation

  - ### LOG10

    public static final NumericTransform LOG10
    Log transformation

  - ### LOG1P

    public static final NumericTransform LOG1P
    Log transformation

  - ### PSEUDO_LOG

    public static final NumericTransform PSEUDO_LOG
    Smoothly transition to linear scale around 0

  - ### PSEUDO_LOG2

    public static final NumericTransform PSEUDO_LOG2
    Smoothly transition to linear scale around 0

  - ### PSEUDO_LOG10

    public static final NumericTransform PSEUDO_LOG10
    Smoothly transition to linear scale around 0

  - ### LOGIT

    public static final NumericTransform LOGIT
    Logit

  - ### PROBIT

    public static final NumericTransform PROBIT
    Probit

  - ### RECIPROCAL

    public static final NumericTransform RECIPROCAL

  - ### REVERSE

    public static final NumericTransform REVERSE
    Reverse transformation Reversing transformation works by multiplying the input with -1. This means that reverse transformation cannot easily be composed with transformations that require positive input unless the reversing is done as a final step.

  - ### SQRT

    public static final NumericTransform SQRT

- ## Method Details

  - ### values

    public static NumericTransform[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NumericTransform valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getShortName

    public String getShortName()
    Specified by:
      `getShortName` in interface `Transform`

  - ### getTransform

    public UnaryOperator<Double> getTransform()
    Specified by:
      `getTransform` in interface `Transform`

  - ### getInverse

    public UnaryOperator<Double> getInverse()
    Specified by:
      `getInverse` in interface `Transform`

  - ### getDTransform

    public UnaryOperator<Double> getDTransform()
    Specified by:
      `getDTransform` in interface `Transform`

  - ### getDInverse

    public UnaryOperator<Double> getDInverse()
    Specified by:
      `getDInverse` in interface `Transform`

  - ### getDomain

    public Interval getDomain()
    Specified by:
      `getDomain` in interface `Transform`

  - ### asinh

    public static double asinh(double a)
    Compute the inverse hyperbolic sine of a number.
    Parameters:
      `a` - number on which evaluation is done
    Returns:
      inverse hyperbolic sine of a